/*************************************************************************
* Project: Library of Evolutionary Algoriths
*************************************************************************
* Author: Changhe Li & Ming Yang
* Email: changhe.lw@google.com Or yangming0702@gmail.com
* Language: C++
*************************************************************************
*  This file is part of EAlib. This library is free software;
*  you can redistribute it and/or modify it under the terms of the
*  GNU General Public License as published by the Free Software
*  Foundation; either version 2, or (at your option) any later version.
*************************************************************************/
// Created: 11 May 2011
// Last modified:
#ifndef FACKLEY_H
#define FACKLEY_H

#include "BenchmarkFunction.h"


class FAckley : public BenchmarkFunction
{
    public:

        FAckley();
        FAckley(const int rId, const int rDimNumber, char *rName);
        FAckley(const int rId, const int rDimNumber, char *rName, double rL,double rU);
        FAckley(const int rId, const int rDimNumber, char *rName, double *rL, double *rU);
        virtual ~FAckley();
    protected:
        void initialize();
        void setGlobalOpt();
        virtual double evaluate_(double const *x);
    private:
};

#endif // FACKLEY_H
